Package com.pixelmed.network

# Class AnyExplicitTransferSyntaxSelectionPolicy

java.lang.Object
com.pixelmed.network.TransferSyntaxSelectionPolicy
com.pixelmed.network.AnyExplicitTransferSyntaxSelectionPolicy

public class AnyExplicitTransferSyntaxSelectionPolicy extends TransferSyntaxSelectionPolicy

Accept any explicit transfer syntax (whether compressed or not), also rejecting implicit VR transfer syntaxes if an explicit VR transfer syntax is offered for the same abstract syntax.

## Constructor Summary

Constructors
Constructor
Description
`AnyExplicitTransferSyntaxSelectionPolicy()`

## Method Summary

Modifier and Type
Method
Description
`LinkedList`
`applyTransferSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber)`
Accept or reject Presentation Contexts, preferring Explicit over Implicit VR.
`LinkedList`
`applyTransferSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)`
Accept or reject Presentation Contexts, preferring Explicit over Implicit VR.

### Methods inherited from class com.pixelmed.network.TransferSyntaxSelectionPolicy

`applyExplicitTransferSyntaxPreferencePolicy`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnyExplicitTransferSyntaxSelectionPolicy

public AnyExplicitTransferSyntaxSelectionPolicy()

## Method Details

### applyTransferSyntaxSelectionPolicy

public LinkedList applyTransferSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)
Accept or reject Presentation Contexts, preferring Explicit over Implicit VR. Should be called after Abstract Syntax selection has been performed. Should be called before `applyExplicitTransferSyntaxPreferencePolicy()`. Does not change the Abstract Syntax.

Overrides:
  `applyTransferSyntaxSelectionPolicy` in class `TransferSyntaxSelectionPolicy`
Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
  `associationNumber` - used for debugging messages
  `debugLevel` - ignored
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the Transfer Syntax list culled to the one preferred Transfer Syntax (or empty if none acceptable) and the result/reason field left alone if one of the Transfer Syntaxes was acceptable, or set to "transfer syntaxes not supported (provider rejection)"

### applyTransferSyntaxSelectionPolicy

public LinkedList applyTransferSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber)
Accept or reject Presentation Contexts, preferring Explicit over Implicit VR. Should be called after Abstract Syntax selection has been performed. Should be called before `applyExplicitTransferSyntaxPreferencePolicy()`. Does not change the Abstract Syntax.

Specified by:
  `applyTransferSyntaxSelectionPolicy` in class `TransferSyntaxSelectionPolicy`
Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID) with one or more Transfer Syntaxes
  `associationNumber` - used for debugging messages
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the Transfer Syntax list culled to the one preferred Transfer Syntax (or empty if none acceptable) and the result/reason field left alone if one of the Transfer Syntaxes was acceptable, or set to "transfer syntaxes not supported (provider rejection)"